###################################################
### chunk number 1: 
###################################################
#line 43 "affydata.Rnw"
library(affydata)
data(Dilution)


###################################################
### chunk number 2: 
###################################################
#line 57 "affydata.Rnw"
Dilution


###################################################
### chunk number 3: 
###################################################
#line 65 "affydata.Rnw"
phenoData(Dilution)
pData(Dilution)


###################################################
### chunk number 4: 
###################################################
#line 79 "affydata.Rnw"
pData(Dilution) ##notice the scanner covariate


###################################################
### chunk number 5: 
###################################################
#line 90 "affydata.Rnw"
par(mfrow=c(1,1))
boxplot(Dilution,col=c(2,2,3,3))


###################################################
### chunk number 6: 
###################################################
#line 113 "affydata.Rnw"
options(warn=-1)


###################################################
### chunk number 7: 
###################################################
#line 118 "affydata.Rnw"
gn <- sample(geneNames(Dilution),100) ##pick only a few genes
pms <- pm(Dilution[,3:4], gn)
mva.pairs(pms)


###################################################
### chunk number 8: 
###################################################
#line 130 "affydata.Rnw"
normalized.Dilution <- Biobase::combine(normalize(Dilution[, 1:2]),
                             normalize(Dilution[, 3:4]))


###################################################
### chunk number 9: 
###################################################
#line 141 "affydata.Rnw"
normalize.methods(Dilution)


###################################################
### chunk number 10: 
###################################################
#line 154 "affydata.Rnw"
boxplot(normalized.Dilution, col=c(2,2,3,3), main="Normalized Arrays")


###################################################
### chunk number 11: 
###################################################
#line 165 "affydata.Rnw"
pms <- pm(normalized.Dilution[, 3:4],gn)
mva.pairs(pms)


